<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<meta http-equiv="content-type" content="text/html; charset=windows-1251" />
<meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/>
<title>Мрак Подземелья:Восстание зла</title>
</head>
<link rel="stylesheet" href="../styleN.css" type="text/css" />
<div class = "up" >
</div>
<div class="body">
<?
//горное дело
include("../db.php");

$db->openDB();
$NICK=$_GET['NICK'];
$pass=$_GET['pass'];
$src=$_GET['src'];
$pmin=rand(0,100);
###EXP профессии
$LVLP=mysql_query("SELECT * FROM USER_PROF WHERE PROF_NICK=\"$NICK\" AND PROF_LVL AND PROF_CLASS=\"travni\"");
while($LVLP2=mysql_fetch_assoc($LVLP)){
if($LVLP2[PROF_LVL]==1){$EXP=20;}
if($LVLP2[PROF_LVL]==2){$EXP=40;}
if($LVLP2[PROF_LVL]==3){$EXP=80;}
if($LVLP2[PROF_LVL]==4){$EXP=200;}
if($LVLP2[PROF_LVL]==5){$EXP=400;}
if($LVLP2[PROF_LVL]==6){$EXP=800;}
if($LVLP2[PROF_LVL]==7){$EXP=1600;}
if($LVLP2[PROF_LVL]==8){$EXP=3200;}
if($LVLP2[PROF_LVL]==9){$EXP=6400;}
$LVLPL=$LVLP2[PROF_LVL]+1;
if($EXP==$LVLP2[PROF_MIN_EXP]){echo'уровень навыка повысился!';$pNAV=mysql_query("UPDATE USER_PROF SET PROF_LVL=\"$LVLPL\",PROF_MIN_EXP=\"0\" WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");die;}
}
$pr_r=mysql_query("SELECT * FROM USER_PROF WHERE PROF_NICK=\"$NICK\" AND PROF_LVL AND PROF_CLASS=\"travni\"");
$pr_ki=mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$NICK\" AND IL_KEY=\"i.serp\" AND IL_NO=\"0\"");
$pr_loc=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
$pr_loc2=mysql_fetch_assoc($pr_loc);
$pr_rud=mysql_query("SELECT * FROM npc_world WHERE npc_src=\"$src\" AND npc_name=\"участок с травой\" AND npc_loc=\"$pr_loc2[loc]\"");
if(mysql_num_rows($pr_rud)<1){echo'<div class="line"></div>
<div class="footto">

<div class="foot"><center><b>'."<img src=\"../img/al.png\"> <a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>".'<br/>рядом с вами нету участка с травами!</b></center></div>
</div>';die;}
$pr_lc=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
if(mysql_num_rows($pr_r)<1){echo'<div class="line"></div>
<div class="footto">

<div class="foot"><center><b>'."<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a><br>".'вы не владеете данной профессии!<br/></b></center></div>
</div>';die;}
if(mysql_num_rows($pr_ki)<1){echo'<div class="line"></div>
<div class="footto">

<div class="foot"><center><b>'."<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a><br>".'для добычи у вас должен быть одет серп'."<br/></b></center></div>
</div>";die;}
while($pr_rL=mysql_fetch_assoc($pr_lc)){
$pr_rs=mysql_query("SELECT * FROM npc_world WHERE npc_src=\"i.uchstr.1\" AND npc_loc=\"$pr_rL[loc]\"");
if(mysql_num_rows($pr_rs)<1){echo'рядом с вами участка с травами';die;}
}
if(mysql_num_rows($pr_ki)<1){echo'для добычи у вас должна быть одета кирка';die;}
$col=mysql_query("SELECT * FROM travni");
while($col2=mysql_fetch_assoc($col)){
if($col2[kol_vo]==0){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a><br>в жиле больше нет руды,ждите когда появится снова</div></div><div class = 'foot' >";



die;}}
if($pmin<=5){
$prk=mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$NICK\" AND IL_KEY=\"i.serp\" AND IL_NO=\"1\"");
while($prk2=mysql_fetch_assoc($prk)){
$pmi=$prk2[IL_MIN_PROCH]-1;
if($prk2[IL_MIN_PROCH]==0){$delK=mysql_query("DELETE FROM inv WHERE ID_USERS=\"$NICK\" AND IL_KEY=\"i.serp\" AND IL_NO=\"1\" AND IL_MIN_PROCH=\"0\"");echo'кирка сломалась';die;}
if($prk2[IL_MIN_PROCH]>0){
echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>кирка потеряла прочность</div></div><div class = 'foot' >";
$proK=mysql_query("UPDATE inv SET IL_MIN_PROCH=\"$pmi\" WHERE ID_USERS=\"$NICK\" AND IL_KEY=\"i.serp\" AND IL_NO=\"1\"");die;}}}
$sh=rand(0,100);
if($gd==3 OR $gd==4 OR $gd==5 AND $sh<=5){
$kris=array('камень жизни ур.1','камень маны ур.1','камень атаки ур.1','камень защиты 1ур','камень уклонения ур1','камень сопротивления ур1');//камни которые можно добыть при добыче
$r1=rand(0,3);
echo $kris[$r1];
die;
}
if($gd==6 AND $sh<=4){
$kris=array('камень жизни ур.2','камень маны ур.2','камень атаки ур.2','камень защиты ур.2','камень уклонения ур.2','камень сопротивления ур.2');//камни которые можно добыть при добыче
$r1=rand(0,3);
echo $kris[$r1];
die;
}
if($gd==7 AND $sh<=3){
$kris=array('камень жизни ур.3','камень маны ур.3','камень атаки ур.3','камень защиты ур.3','камень уклонения ур.3','камень сопротивления ур.3');//камни которые можно добыть при добыче
$r1=rand(0,3);
echo $kris[$r1];
die;
}
if($gd==8 OR $gd==9 AND $sh<=2){
$kris=array('камень жизни ур.4','камень маны ур.4','камень атаки ур.4','камень защиты ур.4','камень уклонения ур.4','камень сопротивления ур.4');//камни которые можно добыть при добыче
$r1=rand(0,3);
echo $kris[$r1];
die;
}
if($gd==10 AND $sh<=1){
$kris=array('камень жизни ур.5','камень маны ур.5','камень атаки ур.5','камень защиты ур.5','камень уклонения ур.5','камень сопротивления ур.5');//камни которые можно добыть при добыче
$r1=rand(0,3);
echo $kris[$r1];
die;
}
while($gd=mysql_fetch_assoc($pr_r)){
if($gd[PROF_LVL]==1 AND $sh<=7){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы добыли 1 руду";

}//добавляем 1 руду игроку и отнимаем 1 с рудной жилы
if($gd[PROF_LVL]==2 AND $sh<=13){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы добыли 1 руду";
$opitN=rand(0,100);
if($opitN<=35){
$LVLQ=mysql_query("SELECT * FROM USER_PROF WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");
while($plEXP=mysql_fetch_assoc($LVLQ))
{
$pLE=$plEXP[PROF_MIN_EXP]+1;
echo'<br/>опыт навыка +1';
$opiPL=mysql_query("UPDATE USER_PROF SET PROF_MIN_EXP=\"$pLE\"");
}
} 
$col11=mysql_query("SELECT * FROM travni");
while($col22=mysql_fetch_assoc($col11)){
$k=$col22[kol_vo]-1;

$minR=mysql_query("UPDATE travni SET kol_vo=\"$k\"");}}
if($gd[PROF_LVL]==3 AND $sh<=21){
echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы добыли 1 руду";
$col11=mysql_query("SELECT * FROM travni");
while($col22=mysql_fetch_assoc($col11)){
$k=$col22[kol_vo]-1;
$opitN=rand(0,100);
if($opitN<=30){
$LVLQ_3=mysql_query("SELECT * FROM USER_PROF WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");
while($plEXP_3=mysql_fetch_assoc($LVLQ_3)){
$pLE_3=$plEXP_3[PROF_MIN_EXP]+1;
echo'<br/>опыт навыка +1';
$opiPL=mysql_query("UPDATE USER_PROF SET PROF_MIN_EXP=\"$pLE_3\" WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");}}
$minR=mysql_query("UPDATE travni SET kol_vo=\"$k\"");}}
if($gd[PROF_LVL]==4 AND $sh<=25){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы добыли 1 руду";$col11=mysql_query("SELECT * FROM travni");
while($col22=mysql_fetch_assoc($col11)){
$k=$col22[kol_vo]-1;
$opitN=rand(0,100);
if($opitN<=20){
$LVLQ=mysql_query("SELECT * FROM USER_PROF WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");
while($plEXP=mysql_fetch_assoc($LVLQ)){
$pLE=$plEXP[PROF_MIN_EXP]+1;
echo'<br/>опыт навыка +1';
$opiPL=mysql_query("UPDATE USER_PROF SET PROF_MIN_EXP=\"$plE\" WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");}}
$minR=mysql_query("UPDATE travni SET kol_vo=\"$k\"");}}
if($gd[PROF_LVL]==5 AND $sh<=31){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы добыли 1 руду";$col11=mysql_query("SELECT * FROM travni");
while($col22=mysql_fetch_assoc($col11)){
$k=$col22[kol_vo]-1;
$opitN=rand(0,100);
if($opitN<=15){
$LVLQ=mysql_query("SELECT * FROM USER_PROF WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");
while($plEXP=mysql_fetch_assoc($LVLQ)){
$pLE=$plEXP[PROF_MIN_EXP]+1;
echo'<br/>опыт навыка +1';
$opiPL=mysql_query("UPDATE USER_PROF SET PROF_MIN_EXP=\"$plE\" WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");}}
$minR=mysql_query("UPDATE travni SET kol_vo=\"$k\"");}}
if($gd[PROF_LVL]==6 AND $sh<=41){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы добыли 1 руду";$col11=mysql_query("SELECT * FROM travni");
while($col22=mysql_fetch_assoc($col11)){
$k=$col22[kol_vo]-1;
$opitN=rand(0,100);
if($opitN<=12){
$LVLQ=mysql_query("SELECT * FROM USER_PROF WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");
while($plEXP=mysql_fetch_assoc($LVLQ)){
$pLE=$plEXP[PROF_MIN_EXP]+1;
echo'<br/>опыт навыка +1';
$opiPL=mysql_query("UPDATE USER_PROF SET PROF_MIN_EXP=\"$plE\" WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");}}
$minR=mysql_query("UPDATE travni SET kol_vo=\"$k\"");}}
if($gd[PROF_LVL]==7 AND $sh<=51){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы добыли 1 руду";$col11=mysql_query("SELECT * FROM travni");
while($col22=mysql_fetch_assoc($col11)){
$k=$col22[kol_vo]-1;
$opitN=rand(0,100);
if($opitN<=11){
$LVLQ=mysql_query("SELECT * FROM USER_PROF WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");
while($plEXP=mysql_fetch_assoc($LVLQ)){
$pLE=$plEXP[PROF_MIN_EXP]+1;
echo'<br/>опыт навыка +1';
$opiPL=mysql_query("UPDATE USER_PROF SET PROF_MIN_EXP=\"$plE\" WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");}}
$minR=mysql_query("UPDATE travni SET kol_vo=\"$k\"");}}
if($gd[PROF_LVL]==8 AND $sh<=61){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы добыли 1 руду";$col11=mysql_query("SELECT * FROM travni");
while($col22=mysql_fetch_assoc($col11)){
$k=$col22[kol_vo]-1;
$opitN=rand(0,100);
if($opitN<=10){
$LVLQ=mysql_query("SELECT * FROM USER_PROF WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");
while($plEXP=mysql_fetch_assoc($LVLQ)){
$pLE=$plEXP[PROF_MIN_EXP]+1;
echo'<br/>опыт навыка +1';
$opiPL=mysql_query("UPDATE USER_PROF SET PROF_MIN_EXP=\"$plE\" WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");}}
$minR=mysql_query("UPDATE gornoe_felo SET kol_vo=\"$k\"");}}
if($gd[PROF_LVL]==9 AND $sh<=71){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы добыли 1 руду";$col11=mysql_query("SELECT * FROM travni");
while($col22=mysql_fetch_assoc($col11)){
$k=$col22[kol_vo]-1;
$opitN=rand(0,100);
if($opitN<=9){
$LVLQ=mysql_query("SELECT * FROM USER_PROF WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");
while($plEXP=mysql_fetch_assoc($LVLQ)){
$pLE=$plEXP[PROF_MIN_EXP]+1;
echo'<br/>опыт навыка +1';
$opiPL=mysql_query("UPDATE USER_PROF SET PROF_MIN_EXP=\"$plE\" WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");}}
$minR=mysql_query("UPDATE travni SET kol_vo=\"$k\"");}}
if($gd[PROF_LVL]==10 AND $sh<=80){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы добыли 1 руду";$col11=mysql_query("SELECT * FROM travni");
while($col22=mysql_fetch_assoc($col11)){
$opitN=rand(0,100);
if($opitN<=8){
$LVLQ=mysql_query("SELECT * FROM USER_PROF WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");
while($plEXP=mysql_fetch_assoc($LVLQ)){
$pLE=$plEXP[PROF_MIN_EXP]+1;
echo'<br/>опыт навыка +1';
$opiPL=mysql_query("UPDATE USER_PROF SET PROF_MIN_EXP=\"$plE\" WHERE PROF_NICK=\"$NICK\" AND PROF_CLASS=\"travni\"");}}
$k=$col22[kol_vo]-1;
$minR=mysql_query("UPDATE travni SET kol_vo=\"$k\"");}}
if($gd[PROF_LVL]==1 AND $sh>7){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы ничего не добыли";}
if($gd[PROF_LVL]==2 AND $sh>13){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы ничего не добыли";}
if($gd[PROF_LVL]==3 AND $sh>21){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы ничего не добыли";}
if($gd[PROF_LVL]==4 AND $sh>25){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы ничего не добыли";}
if($gd[PROF_LVL]==5 AND $sh>31){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы ничего не добыли";}
if($gd[PROF_LVL]==6 AND $sh>41){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы ничего не добыли";}
if($gd[PROF_LVL]==7 AND $sh>51){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы ничего не добыли";}
if($gd[PROF_LVL]==8 AND $sh>61){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы ничего не добыли";}
if($gd[PROF_LVL]==9 AND $sh>71){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы ничего не добыли";}
if($gd[PROF_LVL]==10 AND $sh>80){echo"<a href=\"../game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"travni.php?NICK=$NICK&pass=$pass&src=$src\">добывать</a><br/>вы ничего не добыли";}
}
?>
</div></div><div class = 'foot' >